[PUP-9326] Support for systemd on Linux Mint 18 & 19 Created: 2018/11/20  Updated: 2019/04/04  Resolved: 2018/12/17

Status: Closed
Project: Puppet
Component/s: None
Affects Version/s: None
Fix Version/s: PUP 6.0.5, PUP 6.1.0

Type: New Feature Priority: Normal
Reporter: Heston Snodgrass Assignee: Unassigned
Resolution: Fixed Votes: 0
Labels: Community, resolved-issue-added, systemd
Remaining Estimate: Not Specified
Time Spent: Not Specified
Original Estimate: Not Specified

Template: PUP Bug Template
Team: Coremunity
Sprint: Platform Core KANBAN
Release Notes: New Feature
Release Notes Summary: LinuxMint support added for services. Services on LinuxMint 18 and newer will default to systemd, and 17 and older will default to upstart.
QA Risk Assessment: Needs Assessment

 Description   

Linux Mint converted to using systemd as it's init system with the release of version 18. As it is now, both Linux Mint 18 and Linux Mint 19, by default, fail runs that involve service resources due to Puppet trying to use upstart.



 Comments   
Comment by Heston Snodgrass [ 2018/11/20 ]

PR submitted: https://github.com/puppetlabs/puppet/pull/7248

Comment by Melissa Stone [ 2018/11/30 ]

Merged into 6.0.x with https://github.com/puppetlabs/puppet/commit/17d616332bc246a102af8c60717ae38e7527ce7e

Generated at Fri Oct 18 01:42:38 PDT 2019 using JIRA 7.7.1#77002-sha1:e75ca93d5574d9409c0630b81c894d9065296414.